
QGIS Application - Bug report #5523

Deleting columns from the Attribute Table - QGIS very slow

2012-04-30 02:30 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15121

Description

QGIS takes 5 minutes to delete 10 columns, while the Table Manager plugin does this in 5 seconds.

Associated revisions

Revision 7e692482 - 2012-06-12 01:14 AM - Jürgen Fischer

fix #5523

History

#1 - 2012-04-30 03:02 AM - Giovanni Manghi

it happens with all vectors? just shapefiles? also other datatypes (postgis, spatialite. etc.)? Eventually add sample data.

#2 - 2012-04-30 03:06 AM - Filipe Dias

- Category set to Vectors

Just shapefiles but I cant add the original data, since its confidential.

#3 - 2012-04-30 03:09 AM - Giovanni Manghi

Filipe Dias wrote:

Just shapefiles but I cant add the original data, since its confidential.

so it happens just with a specific shapefile or it happens with any shapefile?

#4 - 2012-04-30 03:14 AM - Filipe Dias

It happens with all shapefiles. The time that QGIS takes to delete a group columns increases exponentially with the number of selected columns.

#5 - 2012-04-30 03:17 AM - Giovanni Manghi

2024-03-13 1/3



Filipe Dias wrote:

It happens with all shapefiles. The time that QGIS takes to delete a group columns increases exponentially with the number of selected columns.

it can be a qgis problem, or not. Deleting columns from the vector properties uses OGR, while table manager doesn't. It would be needed to make a test

using directly ogr and see if the behaviour is the same.

#6 - 2012-05-02 03:36 PM - Giovanni Manghi

- Status changed from Open to Feedback

I cannot confirm this, testing on qgis-dev, and a 240000 records table, after deleting 10 columns it took just a few seconds (after hitting "save" when

toggling off editing). Can you please test with a different vector and/or on another machine?

#7 - 2012-05-03 03:37 AM - Giovanni Manghi

With you dataset I can confirm the issue. On Windows especially it takes a lot of time after hitting the "save" button.

#8 - 2012-05-03 03:47 AM - Giovanni Manghi

- Subject changed from Deleting columns from the Attribute Table - QGIS takes more than 5 minutes to delete 10 fields to Deleting columns from the 

Attribute Table - QGIS very slow

- Status changed from Feedback to Open

There are cases where it seems even to freeze.

#9 - 2012-06-11 01:14 PM - Pieter Roggemans

Same here. Deleting colums takes minutes, first a progress bar per column, about a minute per column I think for a +- 130.000 shape, then when saving

another minute...

#10 - 2012-06-11 01:17 PM - Jürgen Fischer

Giovanni Manghi wrote:

With you dataset I can confirm

which dataset is that?

#11 - 2012-06-11 01:18 PM - Pieter Roggemans

Example file can be found here:

https://docs.google.com/open?id=0B-lmgiUm-f0HRWpadzZpNlk4cmM
#12 - 2012-06-11 02:13 PM - Giovanni Manghi

which dataset is that?

The original reported sent it to me privately but it is not possible to share it here, meanwhile the attached dataset should help anyway to replicate the issue.

#13 - 2012-06-11 04:15 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"7e6924820dd5c3f30c2f03ee7c9319c45476b905".

#14 - 2012-06-12 12:48 PM - Pieter Roggemans

Thanks for the very quick reactions!!!
